<?php

declare(strict_types=1);

namespace App\Controller\TblOferta;

use App\Service\TblOfertaService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblOfertaService(): TblOfertaService
    {
        return $this->container->get('TblOferta_service');
    }
}
